RWA Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/rwas/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"tokenized_prices": [
[
1787806800000,
4598.15430842741
],
[
1787810400000,
4596.851313611241
]
],
"tokenized_market_caps": [
[
1787806800000,
5494949679.305308
],
[
1787810400000,
5493537218.333296
]
],
"tokenized_total_volumes": [
[
1787806800000,
391917834.00407696
],
[
1787810400000,
393713332.429804
]
]
}RWA Historical Chart Data by ID
To get the historical chart data of a RWA including time in UNIX, price, market cap and 24hrs volume based on a particular RWA ID
GET
/
rwas
/
{id}
/
market_chart
RWA Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/rwas/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"tokenized_prices": [
[
1787806800000,
4598.15430842741
],
[
1787810400000,
4596.851313611241
]
],
"tokenized_market_caps": [
[
1787806800000,
5494949679.305308
],
[
1787810400000,
5493537218.333296
]
],
"tokenized_total_volumes": [
[
1787806800000,
391917834.00407696
],
[
1787810400000,
393713332.429804
]
]
}Notes
- Find an RWA’s API ID via RWA List.
-
Auto-granularity when
intervalis not specified:Date range Granularity 1 day from current time 5-minutely 2–90 days hourly Above 90 days daily (00:00 UTC) -
Override with the
intervalparameter:intervalLookback daily— hourlyPast 100 days 5mPast 10 days (Enterprise only) - Data available from 1 July 2025 onwards for stocks and ETFs, and 15 September 2019 onwards for commodities.
- The last completed UTC day (00:00) is available 10 minutes after midnight (00:10 UTC).
- Values reflect the aggregated onchain tokenized market, not the underlying asset’s spot market. All values are in USD.
Historical data on the Basic plan is restricted to the past 2 years. Subscribe to Analyst plan & above for the full range.
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
RWA ID.
*refers to /rwas/list
Query Parameters
Data up to number of days ago.
You may use any integer or max for number of days.
Default: 1
Data interval, leave empty for auto granularity.
Available options:
5m, hourly, daily Decimal place for currency price value.
Available options:
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
200 - application/json
RWA historical chart data
Tokenized price data points as [timestamp, price] pairs
Tokenized market cap data points as [timestamp, market_cap] pairs
Tokenized total volume data points as [timestamp, volume] pairs
Was this page helpful?

